package cn.kdan.compdf;

import org.jetbrains.annotations.NotNull;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.amqp.rabbit.annotation.EnableRabbit;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.Bean;
import org.springframework.format.Formatter;

import java.text.ParseException;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.Locale;


@SpringBootApplication
@EnableCaching
@EnableRabbit
@EnableDiscoveryClient
@MapperScan("cn.kdan.compdf.mapper")
public class BackgroundUserApplication {

    public static void main(String[] args) {
        SpringApplication.run(BackgroundUserApplication.class, args);
    }

    @Bean
    public Formatter<LocalDate> localDateFormatter(){
        return new Formatter<LocalDate>() {
            @NotNull
            @Override
            public LocalDate parse(@NotNull String s, @NotNull Locale locale) throws ParseException {
                return LocalDate.parse(s, DateTimeFormatter.ISO_DATE);
            }

            @NotNull
            @Override
            public String print(@NotNull LocalDate date, @NotNull Locale locale) {
                return DateTimeFormatter.ISO_DATE.format(date);
            }
        };
    }

}
