package cn.kdan.compdf.controller.v1;

import cn.kdan.compdf.base.R;
import cn.kdan.compdf.dto.TenantAssetBalanceDTO;
import cn.kdan.compdf.exception.CommonException;
import cn.kdan.compdf.service.BackgroundUserRemainService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author ComPDFKit-WPH 2022/12/2
 */
@RestController
@RequestMapping("/v1/remain")
@RequiredArgsConstructor
public class BackgroundUserRemainController {

    private final BackgroundUserRemainService remainService;
    @Value("${background.dashboard.autograph}")
    private String DASHBOARD_SYNC_AUTOGRAPH;

    @PostMapping("/assetsync")
    public R<Void>assetsync(@RequestBody List<TenantAssetBalanceDTO> tenantBalance, HttpServletRequest request){
        if (!DASHBOARD_SYNC_AUTOGRAPH.equals(request.getHeader("autograph"))) {
            throw new CommonException("错误");
        }
        remainService.userRemainSync(tenantBalance);
        return R.ok();
    }


}
