package cn.kdan.compdf.entity.dto;

import lombok.*;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author ComPDFKit-WPH 2022/10/9
 * <p>
 * Dashboard 分析数据DTO
 */
@Data
@ToString
@EqualsAndHashCode
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AnalysisDataDTO implements Serializable {

    /**
     * 总数
     */
    private Long fileTotal;
    /**
     * 成功总数
     */
    private Long successfulRequest;
    /**
     * 失败总数
     */
    private Long errorRequest;
    /**
     * 失败率
     */
    private BigDecimal errorRatio;
    /**
     * 平均处理时长
     */
    private String averageProcessTime;

}
